-- Schema: C6MartPeriodico
-- Stored Procedure: Popola_TB_S180ProdottiComplessitaAlta






  
-- =============================================  
-- Author:  <>  
-- Create date: <>  
-- Description: <caricamento tabella di generazione TB_S180ProdottiComplessitaAlta>  
-- =============================================  
  
CREATE procedure [C6MartPeriodico].[Popola_TB_S180ProdottiComplessitaAlta]  
 -- Add the parameters for the stored procedure here  
 --@Rete char(1),   
 --@CodiceFiscale varchar(16)  
AS  
BEGIN  
  
DECLARE @DataFineTrim VARCHAR(8)  
SET @DataFineTrim = c6martperiodico.getTrimestre2(getDate(),0)  

truncate table C6MartPeriodico.TB_S180ProdottiComplessitaAlta  

INSERT INTO [C6MartPeriodico].[TB_S180ProdottiComplessitaAlta]
           ([Rete]
           ,[Cod_fiscale]
           ,[Codman]
           ,[Ordine]
           ,[CodiceContratto]
           ,[NomeProdotto]
           ,[Controvalore]
           ,[Compl_Base]
		   ,Percentuale_CTV)
SELECT distinct
    rete,
	case when codman<>'' then 'FF@'+trim(codman) else trim(codfis) end as Cod_Fiscale,
	trim(codman),
	1, --ordine viene impostato a un valore fisso perché al momento non lo gestiamo
	trim(codconf),
	trim(descprod),
	ctv,
	case when compl='H' then 4 
		 when compl='MH' then 3
		 when compl='ML' then 2 end as Complessita,
	PERCCTV
	
FROM 
[C6StagingPeriodico].[WSEIAD2] wsei

	

WHERE 1=1
    
     and DTTRIM =  @DataFineTrim

END  
  

  
  
  

